Package org.acplt.oncrpc

## Interface OncRpcProtocols

-     public interface OncRpcProtocols

  A collection of protocol constants used by the ONC/RPC package. Each constant defines one of the possible transport protocols, which can be used for communication between ONC/RPC clients and servers.
  Version:
    $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:41 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ONCRPC_HTTP` | Use the HTTP application protocol for tunneling ONC remote procedure calls.
    `static int` | `ONCRPC_TCP` | Use the TCP protocol of the IP (Internet Protocol) suite as the network communication protocol for doing remote procedure calls.
    `static int` | `ONCRPC_UDP` | Use the UDP protocol of the IP (Internet Protocol) suite as the network communication protocol for doing remote procedure calls.

- - ### Field Detail

    - #### ONCRPC_UDP

          static final int ONCRPC_UDP

      Use the UDP protocol of the IP (Internet Protocol) suite as the network communication protocol for doing remote procedure calls. This is the same as the IPPROTO_UDP definition from the famous BSD socket API.
      See Also:
        Constant Field Values

    - #### ONCRPC_TCP

          static final int ONCRPC_TCP

      Use the TCP protocol of the IP (Internet Protocol) suite as the network communication protocol for doing remote procedure calls. This is the same as the IPPROTO_TCP definition from the famous BSD socket API.
      See Also:
        Constant Field Values

    - #### ONCRPC_HTTP

          static final int ONCRPC_HTTP

      Use the HTTP application protocol for tunneling ONC remote procedure calls. This is definetely not similiar to any definition in the famous BSD socket API.
      See Also:
        Constant Field Values